This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1270833 - Importing Excel file using Teiid Connection does not import extension properties
Importing Excel file using Teiid Connection does not import extension properties
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Barry LaFond
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 09:27 EDT by Andrej Smigala
Modified: 2015-12-07 08:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:25:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2683 Major Open Importing Excel file using Teiid Connection does not import extension properties 2015-12-07 08:24 EST

  None (edit)
Description Andrej Smigala 2015-10-12 09:27:44 EDT
When importing an excel file using Teiid Connection, the extension properties are silently discarded. This results in invalid model, which, when deployed and queried, causes the following error in the server log:

    Connector worker process failed for atomic-request=AVU37BnZoOUS.0.0.0: org.teiid.translator.TranslatorException: TEIID23007 OPTIONS property CELL_NUMBER is required and it not defined on column ROW_ID

The DDL obtained from the server is

SET NAMESPACE 'http://www.teiid.org/translator/excel/2014' AS teiid_excel;

 

CREATE FOREIGN TABLE Sheet1 (

	ROW_ID integer OPTIONS (SEARCHABLE 'All_Except_Like', "teiid_excel:CELL_NUMBER" 'ROW_ID'),

	StringNum string OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '1'),

	CharValue string OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '2'),

	DoubleNum double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '3'),

	BigIntegerValue double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '4'),

	ShortValue double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '5'),

	FloatNum double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '6'),

	ObjectValue string OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '7'),

	IntNum double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '8'),

	BigDecimalValue double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '9'),

	LongNum double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '10'),

	BooleanValue boolean OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '11'),

	TimestampValue double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '12'),

	ByteNum double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '13'),

	IntKey double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '14'),

	StringKey string OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '15'),

	TimeValue double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '16'),

	DateValue double OPTIONS (SEARCHABLE 'Unsearchable', "teiid_excel:CELL_NUMBER" '17'),

	CONSTRAINT PK0 PRIMARY KEY(ROW_ID)

) OPTIONS ("teiid_excel:FILE" 'smalla.xlsx', "teiid_excel:FIRST_DATA_ROW_NUMBER" '2');

When trying to import the same DDL using the DDL import wizard, a warning dialog is shown stating that the extension properties could not be processed and the Model Extension Definition should be registered
Comment 2 Barry LaFond 2015-12-07 08:25:11 EST
Using only JIRA now.  Marking as closed

Note You need to log in before you can comment on or make changes to this bug.